Rensei docs

Archive a Cedar policy. Hard deletion is retention-forbidden.

Archive a Cedar policy. Hard deletion is retention-forbidden. - Rensei REST API operation reference.

DELETE
/api/policies/{id}

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

id*string

The policy id.

Query Parameters

mode?string
Value in"archive""hard"

Request Body

application/json
  1. body
changeReason*string
Length1 <= length <= 500

Response Body

Policy archived.

application/json
  1. response
success*boolean
operation*string
Example Request
curl -X DELETE 'https://app.rensei.ai/api/policies/string' \  -H 'Content-Type: application/json' \  -d '{  "changeReason": "string"}'
Example Response
{  "success": true,  "operation": "archive"}